Bug 969277 - A Data Object associated with a Sequence Flow
A Data Object associated with a Sequence Flow
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ---
: 6.0.0
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 02:37 EDT by Toshiya Kobayashi
Modified: 2016-01-08 16:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RepositoryServer.log (5.41 KB, text/x-log)
2013-08-29 08:21 EDT, Sona Mala
no flags Details
MenuValidationServer.log (5.00 KB, text/x-log)
2013-08-29 08:22 EDT, Sona Mala
no flags Details
MenuSaveServer.log (4.98 KB, text/x-log)
2013-08-29 08:24 EDT, Sona Mala
no flags Details
MenuCodeServer.log (5.03 KB, text/x-log)
2013-08-29 08:25 EDT, Sona Mala
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4020 Major Resolved A Data Object associated with a Sequence Flow 2017-01-04 23:23 EST

  None (edit)
Description Toshiya Kobayashi 2013-05-31 02:37:15 EDT
Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-4020


Steps to Reproduce:

See details in JBPM-4020

1.
 A) Create a Data Object associated with a Sequence Flow by clicking a Sequence Flow and then clicking a Data Object in the shape menu.

 or

 B) Create a Data Object from Shape Repository Panel in left pane and associate it with 'Association (undirected)' to a Sequence Flow.

 In either way, the process will be like Screenshot_my_example_before_saving.jpg in JBPM-4020. Please test both ways.

2. Validate the process
3. Save the process

Actual results:

A) Exception in server.log when validate. Error message in server.log when save. The process is not saved.

B) No problem when validate. Exception in server.log when save. The process is not saved.


Expected results:

No error when validate/save in both (A/B) cases. The process is saved.
Comment 1 JBoss JIRA Server 2013-06-04 20:33:49 EDT
Tihomir Surdilovic <tsurdilo@redhat.com> made a comment on jira JBPM-4020

Will allow for this shortcut (dataobject associated with sequenceflow) asap. As workaround currently associate the dataobject with the tasks as shown in Figure 10.67 of spec if possible pls.
Comment 2 JBoss JIRA Server 2013-06-11 16:07:13 EDT
Tihomir Surdilovic <tsurdilo@redhat.com> updated the status of jira JBPM-4020 to Resolved
Comment 3 JBoss JIRA Server 2013-06-11 16:07:13 EDT
Tihomir Surdilovic <tsurdilo@redhat.com> made a comment on jira JBPM-4020

fix in master
Comment 4 Sona Mala 2013-08-29 08:19:00 EDT
Not fixed for BPMS ER2

Exceptions was changed in server.log:
 - DataObject from Shape Repository
     -> validation is ok
     -> save throws an exception in server.log (attached as RepositoryServer.log)
     -> reopen - process was saved and Designer shows DataObject with association
     -> a BPMN2 source code for affected task is able to open
 - DataObject from Shape Menu
     -> Validation throws NPE exception in server.log (attached as MenuValidationServer.log)
     -> save throws NPE exception in server.log (attached as MenuSaveServer.log)
     -> a BPMN2 source code for affected task throws NPE exception in server.log (attached as MenuCodeServer.log)
Comment 5 Sona Mala 2013-08-29 08:21:59 EDT
Created attachment 791746 [details]
RepositoryServer.log
Comment 6 Sona Mala 2013-08-29 08:22:34 EDT
Created attachment 791754 [details]
MenuValidationServer.log
Comment 7 Sona Mala 2013-08-29 08:24:05 EDT
Created attachment 791758 [details]
MenuSaveServer.log
Comment 8 Sona Mala 2013-08-29 08:25:29 EDT
Created attachment 791759 [details]
MenuCodeServer.log
Comment 9 Kris Verlaenen 2014-02-10 21:04:57 EST
Re-enabling data object post 6.0.1.GA
https://bugzilla.redhat.com/show_bug.cgi?id=1042524

Note You need to log in before you can comment on or make changes to this bug.